---
- name: Deploy user configuration
  hosts: all
  gather_facts: true
  # These variables shouldn't be changed
  vars:
    dmenu_flag: '{{ "-dmenu -i" if launcher == "rofi"
      else "-d -i -O default" if launcher == "wofi"
      else "-d" }}'
    font_size_px: '{{ (font_size * 96.0 / 72.0) | int }}' # 96px = 1in = 72pt --> e.g. 13.5pt = 18px
  pre_tasks:
    - name: Run pre-deploy checks
      tags: always
      block:
        - name: Check defined variables
          import_tasks: ../tasks/check_variables.yml
        - name: Check other facts
          import_tasks: ../tasks/check_other.yml
        - name: Import color variables for {{ theme }}
          include_vars:
            name: colors
            file: ../themes/{{ theme }}.yml
  roles:
    - role: scripts
      tags: scripts
    - role: config
      tags: config
